View Issue Details

IDProjectCategoryView StatusLast Update
0004958Talerauditorpublic2018-04-15 20:34
ReporterChristian GrothoffAssigned ToChristian Grothoff 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product VersionSVN HEAD 
Target Version0.5Fixed in Version0.5 
Summary0004958: need tool to verify exchange db wire details are consistent with bank wire details
DescriptionThe tool needs to use exchange DB APIs to iterate over the wire transfers in the exchange's database and check that they match 1:1 the ones from the bank.

For this, the wire plugin needs to have a way to enumerate both incoming and outgoing wire transfers (right now, we only support incoming, but for the audit we do need to have outgoing as well!).
TagsNo tags attached.

Relationships

parent of 0004959 closedChristian Grothoff wire plugins need a way to enumerate outgoing wire transfers as well 

Activities

Christian Grothoff

2017-10-12 20:50

manager   ~0012473

Basic code is now complete, but needs testing.

Christian Grothoff

2017-11-08 19:54

manager   ~0012573

Tool seems to work, but we need to settle 0005172/0005174 before it can work nicely with the payments generator. For now, it generates nice error reports, as one would expect.

Issue History

Date Modified Username Field Change
2017-03-17 18:51 Christian Grothoff New Issue
2017-03-17 18:51 Christian Grothoff Status new => assigned
2017-03-17 18:51 Christian Grothoff Assigned To => Florian Dold
2017-03-17 18:51 Christian Grothoff Assigned To Florian Dold => Christian Grothoff
2017-03-17 18:53 Christian Grothoff Relationship added parent of 0004959
2017-03-18 23:49 Christian Grothoff Assigned To Christian Grothoff =>
2017-03-18 23:49 Christian Grothoff Status assigned => confirmed
2017-03-18 23:49 Christian Grothoff Target Version 0.3 => 0.7
2017-04-09 00:10 Christian Grothoff Assigned To => Christian Grothoff
2017-04-09 00:10 Christian Grothoff Status confirmed => assigned
2017-10-12 20:50 Christian Grothoff Note Added: 0012473
2017-11-08 19:54 Christian Grothoff Note Added: 0012573
2017-11-08 19:54 Christian Grothoff Status assigned => resolved
2017-11-08 19:54 Christian Grothoff Resolution open => fixed
2017-11-08 19:54 Christian Grothoff Fixed in Version => 0.5
2017-11-08 19:55 Christian Grothoff Target Version 0.7 => 0.5
2018-04-15 20:34 Christian Grothoff Status resolved => closed